<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009" 
		  xmlns:s="library://ns.adobe.com/flex/spark" 
		  xmlns:mx="library://ns.adobe.com/flex/mx"  title="Detalhe Resumido Cliente" width="900" height="425"
		  close="titlewindow1_closeHandler(event)" keyDown="titlewindow1_keyDownHandler(event)">
	<fx:Style source="../../../framework/util/estilo.css"/>

	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import mx.controls.DateField;
			import mx.core.FlexGlobals;
			import mx.events.CloseEvent;
			import mx.managers.PopUpManager;
			
			
			import br.com.desenv.nepalign.vo.Cliente;
			import br.com.desenv.nepalign.vo.Duplicata;
			
			[Bindable]
			public var cliente:Cliente = new Cliente();
			[Bindable]
			private var dataUltimaCompra:String = null;
			protected function titlewindow1_closeHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
				var du:Duplicata = new Duplicata();
				du.cliente = this.cliente;
				var remoteObjectItemMovimentacaoEstoque: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("duplicataService",this.listarDulicataResult);	
				remoteObjectItemMovimentacaoEstoque.getOperation("listarPorObjetoFiltro").send(du,"dataHoraInclusao","desc");	
					
					
			}
			protected function listarDulicataResult(e:ResultEvent):void
			{
				var lista:ArrayCollection = e.result as ArrayCollection;
				if(lista.length>0)
				{
					var duplicata:Duplicata = lista.getItemAt(0) as Duplicata;
					this.dataUltimaCompra = DateField.dateToString(duplicata.dataCompra,"DD/MM/YYYY");
				}
			}
			
			protected function titlewindow1_keyDownHandler(event:KeyboardEvent):void
			{
				if(event.keyCode == Keyboard.ESCAPE)
				{
					UPCPopUpManager.instance.removePopUp(this);
				}
			}
			
		]]>
	</fx:Script>
	<fx:Declarations>
		<mx:DateFormatter id="dataPadrao" formatString="DD/MM/YYYY"/>
	</fx:Declarations>
	<mx:VBox x="5" y="5">
		
		<s:BorderContainer   cornerRadius="2" borderStyle="inset" borderWeight="1" left="10" right="10" top="10" bottom="10" width="890">
			<mx:VBox >
				
		
	<mx:Grid >
		<mx:GridRow>
			<mx:GridItem>
				<s:Spacer height="1" />
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Cliente:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.id+' - '+cliente.nome}"/>
			</mx:GridItem>	
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Data Nacimento:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText  editable="false" text="{dataPadrao.format(cliente.dataNascimento)}"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="RG:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText  editable="false" text="{cliente.rgInscricaoEstadual}"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="CPF:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.cpfCnpjFormatado}"/>
			</mx:GridItem>	
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tel. Redencial:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<mx:HBox>
					<s:RichEditableText  editable="false" text="{cliente.operadoraTelefoneResidencial==null?'':cliente.operadoraTelefoneResidencial.nome}"/>
					<s:RichEditableText  editable="false" text="{cliente.telefoneResidencial==null?'':cliente.telefoneResidencial}"/>
				</mx:HBox>
			
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Celular:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<mx:HBox>
					<s:RichEditableText  editable="false" text="{cliente.operadoraCelular01==null?'':cliente.operadoraCelular01.nome}"/>
					<s:RichEditableText  editable="false" text="{cliente.telefoneCelular01==null?'':cliente.telefoneCelular01}"/>
				</mx:HBox>
				
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Celular:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<mx:HBox>
					<s:RichEditableText  editable="false" text="{cliente.operadoraCelular02==null?'':cliente.operadoraCelular02.nome}"/>
					<s:RichEditableText  editable="false" text="{cliente.telefoneCelular02==null?'':cliente.telefoneCelular02}"/>
				</mx:HBox>
				
			</mx:GridItem>	
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Endereço:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.logradouro}"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Cidade:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.cidadeEndereco.nome+' - '+cliente.cidadeEndereco.uf.sigla}"/>
			</mx:GridItem>	
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Bairro:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.bairro}"/>
			</mx:GridItem>	
		
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Itinerário:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.itinerario}"/>
			</mx:GridItem>	
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Nome da Mãe:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.nomeMae}"/>
			</mx:GridItem>	
			
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Nome Pai:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.nomePai}"/>
			</mx:GridItem>	
			
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Resisdencia Propria:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.residenciaPropriaDescricaoCompleta}"/>
			</mx:GridItem>	
	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tempo residência:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.tempoResidenciaAnoMesDia}"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Valor Aluguel:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.valorAluguelPrestacaoFormatado}"/>
			</mx:GridItem>	
		</mx:GridRow>
		</mx:Grid>
			</mx:VBox>
			</s:BorderContainer>
		<s:BorderContainer cornerRadius="2" borderStyle="inset" borderWeight="1" left="10" right="10" top="10" bottom="10" width="890">
			<mx:Grid>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
			
			</mx:GridItem>		
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Empresa:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.empresaTrabalha}"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tempo:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.tempoTrabalhoAnoMesDia}"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Cidade:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.cidadeComercial.nome+' - '+cliente.cidadeComercial.uf.sigla}"/>
			</mx:GridItem>	
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Endereço:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.logradouroComercial+' '+cliente.numeroComercial}"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Telefone :"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<mx:HBox>
					<s:RichEditableText editable="false" text="{cliente.operadoraComercial==null?'':cliente.operadoraComercial.nome}"/>
					<s:RichEditableText editable="false" text="{cliente.telefoneComercial==null?'':cliente.telefoneComercial}"/>
				</mx:HBox>
				
			</mx:GridItem>	
				
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Cargo:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.profissao}"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Salario :"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.salarioFormatado}"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Outra Renda :"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.outraRendaFormatado}"/>
			</mx:GridItem>	
		</mx:GridRow>
			</mx:Grid>
		</s:BorderContainer>
		<s:BorderContainer cornerRadius="2" borderStyle="inset" borderWeight="1" left="10" right="10" top="10" bottom="10" width="890">
			<mx:Grid>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
			
			</mx:GridItem>	
		
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Conjugue:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.conjuge.nome}"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Rg :"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.conjuge.rg}"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Data Nacimento :"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{dataPadrao.format(cliente.conjuge.dataNascimento)}"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Empresa:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.conjuge.empresaTrabalha}"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tempo :"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.conjuge.tempoTrabalhoAnoMesDia}"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="telefone :"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<mx:HBox>
					<s:RichEditableText editable="false" text="{cliente.conjuge.operadoraComercial==null?'':cliente.conjuge.operadoraComercial.nome}"/>
					<s:RichEditableText editable="false" text="{cliente.conjuge.telefoneComercial==null?'':cliente.conjuge.telefoneComercial}"/>
				</mx:HBox>
				
			</mx:GridItem>	
			
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Endereço:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.conjuge.logradouroComercial}"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Cidade :"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.conjuge.cidadeComercial.nome+' - '+cliente.conjuge.cidadeComercial.uf.sigla}"/>
			</mx:GridItem>	
		
			
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Cargo:"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.conjuge.profissao}"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Salario :"/>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabelValor">
				<s:RichEditableText editable="false" text="{cliente.conjuge.salarioFormatado}"/>
			</mx:GridItem>	
			
			
		</mx:GridRow>
			</mx:Grid>
		</s:BorderContainer>
		<s:BorderContainer cornerRadius="2" borderStyle="inset" borderWeight="1" left="10" right="10" top="10" bottom="10" width="890">
			<mx:Grid>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
			
			</mx:GridItem>	
			
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Observação:"/>
			</mx:GridItem>	
			<mx:GridItem maxWidth="500" maxHeight="73" horizontalScrollPolicy="on" verticalScrollPolicy="on">
				<s:RichEditableText editable="false" text="{cliente.observacao}" />
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
			<s:Label text="Avalista:"/>
			</mx:GridItem>	
			<mx:GridItem>
				<s:RichEditableText editable="false" text="{cliente.avalista.nome}" />
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Data Ultima Compra:"/>
			</mx:GridItem>	
			<mx:GridItem>
				<s:RichEditableText editable="false" text="{this.dataUltimaCompra}" />
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Media Atraso:"/>
			</mx:GridItem>	
			<mx:GridItem>
				<s:RichEditableText editable="false" text="{cliente.mediaAtraso}" />
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Data Entrada SCPC:"/>
			</mx:GridItem>	
			<mx:GridItem>
				<s:RichEditableText editable="false" text="{dataPadrao.format(cliente.dataEntradaScpc)}" />
				
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Data Baixa SCPC:"/>
			</mx:GridItem>	
			<mx:GridItem>
				<s:RichEditableText editable="false" text="{dataPadrao.format(cliente.dataBaixaScpc)}"  />
			</mx:GridItem>
		</mx:GridRow>
	</mx:Grid>

		</s:BorderContainer>
		
	</mx:VBox>	
</s:TitleWindow>
